%define         anolis_release 2

Name:           isns-utils
Version:        0.102
Release:        %{anolis_release}%{?dist}
Summary:        The iSNS daemon and utility programs
License:        LGPLv2+
URL:            https://github.com/open-iscsi/open-isns
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz#/isns-utils-%{version}.tar.gz
Source1:        isnsd.service
BuildRequires:  gcc openssl-devel automake pkgconfig systemd-devel systemd make
Requires(post):   systemd-units
Requires(preun):  systemd-units
Requires(postun): systemd-units

%description
The iSNS package contains the daemon and tools to setup a iSNS server,
and iSNS client tools. The Internet Storage Name Service (iSNS) protocol
allows automated discovery, management and configuration of iSCSI and
Fibre Channel devices (using iFCP gateways) on a TCP/IP network.

%package libs
Summary: Shared library files for iSNS

%description libs
Shared library files for iSNS

%package devel
Summary: Development files for iSNS
Requires: %{name}-libs = %{EVR}

%description devel
Development files for iSNS

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n open-isns-%{version}

%build
%configure --enable-shared --disable-static
%make_build

%install
%make_install
make install_hdrs DESTDIR=%{buildroot}
make install_lib DESTDIR=%{buildroot}
chmod 755 %{buildroot}%{_sbindir}/isns*
chmod 755 %{buildroot}%{_libdir}/libisns.so.0
rm %{buildroot}%{_unitdir}/isnsd.service
rm %{buildroot}%{_unitdir}/isnsd.socket
install -p -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/isnsd.service

%generate_compatibility_deps

%post
%systemd_post isnsd.service

%postun
%systemd_postun isnsd.service

%preun
%systemd_preun isnsd.service

%triggerun -- isns-utils < 0.91-7
/usr/bin/systemd-sysv-convert --save isnsd >/dev/null 2>&1 ||:

/sbin/chkconfig --del isnsd >/dev/null 2>&1 || :
/bin/systemctl try-restart isnsd.service >/dev/null 2>&1 || :

%files
%license COPYING
%dir %{abidir}
%{_sbindir}/isnsd
%{_sbindir}/isnsadm
%{_sbindir}/isnsdd
%{abidir}/isnsd-option.list
%{abidir}/isnsadm-option.list
%{abidir}/isnsdd-option.list
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_unitdir}/isnsd.service
%dir %{_sysconfdir}/isns
%dir %{_var}/lib/isns
%config(noreplace) %{_sysconfdir}/isns/*

%files libs
%{_libdir}/libisns.so.0
%{_libdir}/pkgconfig/libisns.pc
%{abidir}/libisns.dump

%files devel
%dir %{_includedir}/libisns
%{_includedir}/libisns/*.h
%{_libdir}/libisns.so

%files doc
%doc README

%changelog
* Thu Apr 13 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 0.102-2
- optimize spec

* Mon Mar 06 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 0.102-1
- update version and spec

* Tue Oct 25 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.101-3
- optimise spec file

* Mon Oct 10 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.101-2
- add doc package

* Fri Apr 15 2022 yuanhui <yuanhui@linux.alibaba.com> - 0.101-1
- Init isns-utils for anolis os 23
